## Script (Python) "pa_browserContents"
##title=Helper method for ploneArticle Browser
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=proxies=0, images=0, folders=0, files=0, links=0, articles=(), searchTerm='', scope=''
result = {}
dictQuery={}
portal=context.portal_url.getPortalObject() 

    
if searchTerm :
    queryMethod = portal.getFolderContents
    dictQuery['SearchableText'] = searchTerm
    if scope:
        dictQuery['path'] = scope              
elif context.portal_type == 'Topic':
    queryMethod=context.queryCatalog
else:
    queryMethod = context.getFolderContents        

if images:
    if proxies:
        result['images'] = context.getImages()
    else:
        #TODO : search types from PA properties
        dictQuery['portal_type'] = ('Image','News Item')
        result['images'] = queryMethod(dictQuery, full_objects=True)
if files:
    if proxies:
        result['files'] = context.getFiles()
    else:
        #TODO : search types from PA properties
        dictQuery['portal_type'] = ('File', 'PloneExFile',)
        result['files'] = queryMethod(dictQuery)
if links:
    if proxies:
        result['links'] = context.getLinks()
    else:
        #TODO : search types from PA properties
        dictQuery['portal_type'] = ('Link',)
        result['links'] = queryMethod(dictQuery)
        
if folders:
    if dictQuery.has_key('portal_type'):
        del dictQuery['portal_type']
    dictQuery['is_folderish'] = True
    result['folders'] = queryMethod(dictQuery)
if articles:
    if dictQuery.has_key('is_folderish'):
        del dictQuery['is_folderish']
    dictQuery['portal_type'] = articles
    result['articles'] = queryMethod(dictQuery)
    
    
    

return result
