# -*- coding: utf-8 -*-
## Product description
## 
## Copyright (C) 2006 Ingeniweb

## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.

## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.

## You should have received a copy of the GNU General Public License
## along with this program; see the file COPYING. If not, write to the
## Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
"""
PloneArticle Zope 2 interfaces.

They are bridged from Zope 3 interfaces defined in
PloneArticle.interface

"""
from Interface.bridge import fromZ3Interface
from Products.PloneArticle import interface as z3_i

IBaseInnerContentProxy = fromZ3Interface(z3_i.IBaseInnerContentProxy)
IFileInnerContentProxy = fromZ3Interface(z3_i.IFileInnerContentProxy)
IImageInnerContentProxy = fromZ3Interface(z3_i.IImageInnerContentProxy)
ILinkInnerContentProxy = fromZ3Interface(z3_i.ILinkInnerContentProxy)

IBaseInnerContentField = fromZ3Interface(z3_i.IBaseInnerContentField)
IFileInnerContentField = fromZ3Interface(z3_i.IFileInnerContentField)
IImageInnerContentField = fromZ3Interface(z3_i.IImageInnerContentField)
ILinkInnerContentField = fromZ3Interface(z3_i.ILinkInnerContentField)
IBaseInnerContent = fromZ3Interface(z3_i.IBaseInnerContent)
IInnerContentContainer = fromZ3Interface(z3_i.IInnerContentContainer)

IBaseInnerContentWidget = fromZ3Interface(z3_i.IBaseInnerContentWidget)
IFileInnerContentWidget = fromZ3Interface(z3_i.IFileInnerContentWidget)
IImageInnerContentWidget = fromZ3Interface(z3_i.IImageInnerContentWidget)
ILinkInnerContentWidget = fromZ3Interface(z3_i.ILinkInnerContentWidget)

IPloneArticle = fromZ3Interface(z3_i.IPloneArticle)
IPloneArticleMultiPage = fromZ3Interface(z3_i.IPloneArticleMultiPage)

ISmartListField = fromZ3Interface(z3_i.ISmartListField)
